Bug 226317 - Merge Review: procinfo
Merge Review: procinfo
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vojtech Vitek
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-01-31 15:43 EST by Nobody's working on this, feel free to take it
Modified: 2015-03-04 18:56 EST (History)
7 users (show)

See Also:
Fixed In Version: mailto:kzak@redhat.com
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-10-12 11:31:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vvitek: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:43:18 EST
Fedora Merge Review: procinfo

Initial Owner: kzak@redhat.com
Comment 1 Jason Tibbitts 2007-06-01 01:36:31 EDT
Hmm, another ticket not assigned to anyone but with the fedora-cvs flag set.  If
someone's reviewing this, please assign it to yourself and set the status
Comment 2 Ville Skyttä 2008-09-20 10:01:44 EDT
There's a rewrite/alive upstream of a rewrite of procinfo available at http://procinfo-ng.sourceforge.net/ - would it make sense to update to it?

procinfo-ng does not provide lsdev or socklist though, but I suppose they and their man pages could be borrowed from the old tarball.
Comment 3 Fabian Affolter 2008-11-12 03:47:05 EST
This is the review request for procinfo-info

Comment 4 Fabian Affolter 2008-11-26 04:42:07 EST
Bill Nottingham suggested to make procinfo obsolete if procinfo-ng is commandline-compatible and somewhat-output-compatible.

Any thoughts on this?
Comment 5 Patrice Dumas 2008-11-26 04:50:30 EST
What about Ville comment Comment #2 regarding lsdev and socklist?

Otherwise I think it would be right. If somebody really wants the old procinfo he could resubmit it.
Comment 6 Fabian Affolter 2008-11-26 13:15:45 EST
Those tools are definitely missing in the new version. I'm thinking that perhaps placing lsdev and socklist in separate packages to obtained the functionality could be an option.
Comment 7 Vojtech Vitek 2010-10-11 11:45:26 EDT
Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ MUST: rpmlint must be run on every package. The output should be posted in the review

$ rpmlint -v *.spec *.rpm x86_64/*.rpm
procinfo.spec: I: checking-url ftp://ftp.cistron.nl/pub/people/00-OLD/svm/procinfo-18.tar.gz (timeout 10 seconds)
procinfo.src: I: checking
procinfo.src: W: summary-ended-with-dot C A tool for gathering and displaying system information.
procinfo.src: W: spelling-error %description -l en_US filesystem -> file system, file-system, systematic
procinfo.src: W: no-url-tag
procinfo.src: I: checking-url ftp://ftp.cistron.nl/pub/people/00-OLD/svm/procinfo-18.tar.gz (timeout 10 seconds)
procinfo.x86_64: I: checking
procinfo.x86_64: W: summary-ended-with-dot C A tool for gathering and displaying system information.
procinfo.x86_64: W: spelling-error %description -l en_US filesystem -> file system, file-system, systematic
procinfo.x86_64: W: no-url-tag
procinfo.x86_64: W: manual-page-warning /usr/share/man/man8/procinfo.8.gz 181: warning: `"' not defined
procinfo-debuginfo.x86_64: I: checking
procinfo-debuginfo.x86_64: W: no-url-tag
3 packages and 1 specfiles checked; 0 errors, 8 warnings.

Ignored, but could be cleaned.

+ MUST: package named according to the Package Naming Guidelines
+ MUST: The spec file name must match the base package %{name}
+ MUST: The package must meet the Packaging Guidelines .
+ MUST: The package licensed with a Fedora approved license and meets the Licensing Guidelines
+ MUST: The License field in the package spec file matches the actual license
0 MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
+ MUST: The spec file must be written in American English.
+ MUST: The spec file for the package MUST be legible.
+ MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task

From sources:
$ cat sources 
27658d0a69040aca05a65b9888599d50  procinfo-18.tar.gz

From upstream (ftp://ftp.cistron.nl/pub/people/00-OLD/svm/procinfo-18.tar.gz):
$ md5sum procinfo-18.tar.gz 
27658d0a69040aca05a65b9888599d50  procinfo-18.tar.gz


+ MUST: The package successfully compiles and builds into binary rpms on at
least one primary architecture
 - tested on x86_64, no problems
0 MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
+ MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines
0 MUST: The spec file handles locales properly. This is done by using the
%find_lang macro
0 MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun.
0 MUST: Packages must NOT bundle copies of system libraries
0 MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker
+ MUST: Package must own all directories that it creates. If it does not create
a directory that it uses, then it should require a package which does create
that directory
+ MUST: Package must not list a file more than once in the spec file's %files
+ MUST: Permissions on files must be set properly. Every %files section must
include a %defattr(...) line.
+ MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
+ MUST: Each package must consistently use macros
+ MUST: The package must contain code, or permissable content
0 MUST: Large documentation files must go in a -doc subpackage
0 MUST: If a package includes something as %doc, it must not affect the runtime
of the application
0 MUST: Header files must be in a -devel package
0 MUST: Static libraries must be in a -static package
0 MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
0 MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package
0 MUST: devel packages must require the base package using a fully versioned
dependency: Requires: %{name} = %{version}-%{release}
+ MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built
0 MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section
+ MUST: Packages must not own files or directories already owned by other
+ MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
+ MUST: All filenames in rpm packages must be valid UTF-8

All MUST things passed.

As the upstream is dead, shouldn't we adopt some bugfixes/features from other sources?
- segfault when /proc/stat exceeds 1024 characters
- socklist in procinfo does not list tcp6, udp6, or raw6
Comment 8 Ondrej Vasik 2010-10-12 04:39:37 EDT
Adding current maintainer to CC to give him a chance to respond :)
Comment 9 Ondrej Vasik 2010-10-12 04:56:53 EDT
Imho at least the summary with dot at the end, old BuildRoot (although no longer used by rpm, so safe on modern Fedora) and comments in man page using ." instead of .\" before granting review+ .
Comment 10 Jan Görig 2010-10-12 10:19:55 EDT
Bugs from #9 and some other minor bugs should be fixed in procinfo-18-26.fc15.
Comment 11 Vojtech Vitek 2010-10-12 11:22:36 EDT
procinfo-18-27.fc15 (#7 - add IPv6 support to socklist)


Note You need to log in before you can comment on or make changes to this bug.